<?php
header('Content-Type: text/html; charset=utf-8');
function getMBStrSplit($string, $split_length = 1){
mb_internal_encoding('UTF-8');
mb_regex_encoding('UTF-8'); 

$split_length = ($split_length <= 0) ? 1 : $split_length;
$mb_strlen = mb_strlen($string, 'utf-8');
$array = array();
$i = 0; 

while($i < $mb_strlen)
{
$array[] = mb_substr($string, $i, $split_length);
$i = $i+$split_length;
}

return $array;
}

$str = "ถ้าจะเช็คสระแบบเรียงตัวๆ php ต้องใช้ฟังชั่นอะไรในการแยกสระจากประโยคข้อความออกมา";

$arr = getMBStrSplit($str);
print_r($arr);
?>